import { BaseRepositoryPort } from '@humand-packages/common';
import { TimeTrackingSetting, TimeTrackingSettingForCreation } from '../../business/models/timeTrackingSetting';

export default abstract class TimeTrackingSettingRepositoryPort extends BaseRepositoryPort {
    abstract getByInstanceId(instanceId: number): Promise<TimeTrackingSetting | null>;
    abstract create(create: TimeTrackingSettingForCreation): Promise<TimeTrackingSetting>;
    abstract update(updated: TimeTrackingSetting): Promise<TimeTrackingSetting>;
}
